﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="task">
    <head><title>Request Generation Methods</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Request Generation Methods</h1>
        <p style="text-align: left;">Saviynt Identity Governance and Administration (IGA) application allows an administrator or a user to generate ARS requests using one of the following methods:</p>
        <ul style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>
                <p class="auto-cursor-target"><strong>ARS user interface</strong>: Access requests generated using the tiles available in <strong>ARS &gt; Request Home</strong>.</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note" MadCap:conditions="Default.v2020X">For more information about using the ARS interface for raising requests, see&#160;<MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-ur-accs.htm" pubname="IGA-User-Guide-v2020x" class="peer">Managing Your Access</a></MadCap:conditionalText> in the<em> IGA User Guide</em></p>
                    <p class="note" MadCap:conditions="Default.v2021X">For more information about using the ARS interface for raising requests, see&#160;<MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-mang-ur-accs.htm" pubname="IGA-User-Guide-v2021x" class="peer">Managing Your Access</a></MadCap:conditionalText> in the<em> IGA User Guide</em></p>
                </div>
            </li>
            <li>
                <p class="auto-cursor-target"><strong>REST APIs</strong>: ARS requests generated using the REST APIs.</p>
            </li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note"> For more information about using REST APIs for generating requests, see <a href="https://documenter.getpostman.com/view/1797923/RWaLwo21?version=latest#8221a89a-cde5-4ec0-9a24-31568bc147ff" class="external-link" rel="nofollow">REST API Guide</a>.</p>
        </div>
        <ul style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>
                <p><b>Bulk Upload</b>:&#160;This method allows you to&#160;submit a request for multiple users and multiple accounts at the same time. The format of the columns in&#160;Microsoft Excel is predefined.</p>
            </li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note" MadCap:conditions="Default.v2020X">For more information about uploading request from multiple users, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-req-accs-mult-usr.htm" pubname="IGA-User-Guide-v2020x" class="peer">Requesting Access for Multiple Users</a></MadCap:conditionalText> in the<em> IGA User Guide</em>.</p>
            <p class="note" MadCap:conditions="Default.v2021X">For more information about uploading request from multiple users, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="ars-req-accs-mult-usr.htm" pubname="IGA-User-Guide-v2021x" class="peer">Requesting Access for Multiple Users</a></MadCap:conditionalText> in the<em> IGA User Guide</em>.</p>
        </div>
        <ul style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>
                <p class="auto-cursor-target"><strong>Requests generated through RevokeOutOfBandAccessJob</strong>:&#160;An out of band access is access provided to a user account, not from IGA, but access provided from the third-party application. Access given to a user account outside IGA is known as out of band access. For using IGA as a governance tool, access should be ideally provided from the IGA application.&#160;Running the&#160;RevokeOutOfBandAccessJob fetches the list of users who are given access out-of-band that is not through IGA application. This job&#160;revokes the access given to the user and based on the option selected in <strong>Action for Out of Band Detection in Endpoint</strong>, it generates the request for providing access through IGA.&#160;</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">For more information about selecting the option to 'Deprovision access and re-create access requests', see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Viewing-or-Updating-Endpoints.htm">Viewing or Updating Endpoints</MadCap:xref> section. For more information on executing the RevokeOutOfBandAccessJob, see <em>Utility </em>section in <MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Old-Job-Control-Panel.htm">Job Categories for Old Job Control Panel</MadCap:xref> or <em>Utility </em>section in<MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Categories-for-Flat-Job-Control-Panel.htm"> Job Categories for Flat Job Control Panel</MadCap:xref>.</p>
                </div>
            </li>
        </ul>
    </body>
</html>